This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 253950

Summary: odd caching in SimpleFileOwnerQueryImplementation
Product: projects Reporter: Tomas Stupka <tstupka>
Component: Generic InfrastructureAssignee: Tomas Hurka <thurka>
Status: RESOLVED FIXED    
Severity: normal Keywords: PERFORMANCE
Priority: P3    
Version: 8.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:

Description Tomas Stupka 2015-07-29 14:36:57 UTC
Product Version = NetBeans IDE Dev (Build 20150729-33a589c06f79)
Operating System = Mac OS X version 10.10.3 running on x86_64
Java; VM; Vendor = 1.8.0_60-ea
Runtime = Java HotSpot(TM) 64-Bit Server VM 25.60-b07

see the usage of lastFoundKey and lastFoundValue in SimpleFileOwnerQueryImplementation - it is effective only in case that .getOwner(FileObject f) is called for the folder of the previously found project. 

considering the frequency of SimpleFileOwnerQueryImplementation invocations - a more sophisticated approach seems to be beneficial

(supposedly, this issue is worth a t-shirt)
Comment 1 Tomas Hurka 2015-07-30 05:48:16 UTC
Fixed in core-main

changeset:   290365:96a3cc191b3e
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Jul 30 07:45:51 2015 +0200
summary:     bugfix #253950, folders and corresponding projectsare now cached - this should reduce calls to ProjectManager.findProject(). ProjectManager.findProject() can block AWT for a long time, since it uses singleton project mutex
Comment 2 Quality Engineering 2015-07-31 01:51:19 UTC
Integrated into 'main-silver', will be available in build *201507310002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/96a3cc191b3e
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #253950, folders and corresponding projectsare now cached - this should reduce calls to ProjectManager.findProject(). ProjectManager.findProject() can block AWT for a long time, since it uses singleton project mutex